This discussion is archived
7 Replies Latest reply: Dec 11, 2012 9:52 AM by kosta RSS

OEPE For Business

srikanth vallabhaneni Newbie
Currently Being Moderated
Is there such a thing called "OEPE for Business"? Want to see if there are different open source and commercial versions of OEPE.
Are WLS+Eclipse+OEPE bundled installers and standalone Eclipse EE + OEPE supported the same way?
Is there a chance of paying customers getting one-off patches (applied through smart update or opatch) on top of OEPE bundled installations instead of always updating to the latest OEPE version (which may require a eclipse upgrade too if the new OEPE version is only supported on newer eclipse versions)?
Also, how does OEPE patching work for bundled products like OSB and WLP?
  • 1. Re: OEPE For Business
    kosta Journeyer
    Currently Being Moderated
    Is there such a thing called "OEPE for Business"? Want to see if there are different open source and
    commercial versions of OEPE.
    There is no open source version of OEPE.
    Are WLS+Eclipse+OEPE bundled installers and standalone Eclipse EE + OEPE supported the same way?
    Yes. General support happens on this forum. Paying WLS/FMW customers can also work through the formal support system.
    Is there a chance of paying customers getting one-off patches (applied through smart update or opatch)
    No. Bug fixes for OEPE are delivered via Eclipse update mechanism. One-off patches are not done. For paying customers, depending on severity of the issue, a service release can be issued, which will not require Eclipse upgrade. Please work through the support system for this.
    Also, how does OEPE patching work for bundled products like OSB and WLP?
    OSB and WLP tooling is tightly coupled to a specific version of OEPE, but typically an OEPE service release would still work with these installations. Work through the support channels for those products.

    - Konstantin
  • 2. Re: OEPE For Business
    srikanth vallabhaneni Newbie
    Currently Being Moderated
    Thank you for the reply.

    edelivery has a bundled installer that comes with WLS+OEPE+Coherence+ADF (on Indigo). The latest bundled installer on OTN is for WLS+OEPE+Coherence+ADF (on Juno).

    If I am using the OEPE (on indigo) that came with the edelivery bundled installer and came across a bug that is fixed in the latest OEPE 12.1.1.2 version, what are my options on getting that bug fixed? OEPE 12.1.1.2 is only supported on Juno. Do I have to keep updating the eclipse IDE too? The eclipse project metadata can change between versions too.

    When I first came across a folder like patch_oepe180 under the WLS/OEPE installation, I thought smart update can be used to patch the OEPE (and the eclipse that came with the bundled installer). Actually, when you run startWLS.cmd and look at the classpath you will see that the patch_oepe180 folder gets added to the CLASSPATH.

    I am trying the MOS route also to get some of the questions answered but things are not clear.

    As far as I know, WLW 10.3 is considered as a product and it has its own support timelimes to get patches etc. We are not required to always upgrade to the new version as long as the version is supported. Ultimately WLW 10.3 is a bunch of eclipse plugins on top of eclipse 3.3.2 like OEPE is a set of plugins on top of the later eclispe versions. But I am not seeing that the bundled installation of (eclipse + OEPE) is being treated a product with its own support timelines etc.

    I am also not getting clear answers on the difference between a bundled installer vs. installing elipse + OEPE separately support vise.
  • 3. Re: OEPE For Business
    kosta Journeyer
    Currently Being Moderated
    edelivery has a bundled installer that comes with WLS+OEPE+Coherence+ADF (on Indigo). The latest bundled installer on OTN is for WLS+OEPE+Coherence+ADF (on Juno).
    I will look into why edelivery is lagging.
    If I am using the OEPE (on indigo) that came with the edelivery bundled installer and came across a bug that is fixed in the latest OEPE 12.1.1.2 version, what are my options on getting that bug fixed?
    The default answer is to upgrade the latest OEPE release. This is how the majority of OEPE support happens. In exceptional cases, a fix can be back-ported to an earlier release and issued as a service release. Please work through the formal support channels for that.
    As far as I know, WLW 10.3 is considered as a product and it has its own support timelimes to get patches etc. We are not required to always upgrade to the new version as long as the version is supported.
    Workshop (WLW) is indeed supported by Oracle very differently from OEPE.
    I am also not getting clear answers on the difference between a bundled installer vs. installing elipse + OEPE separately support vise.
    There is no difference when it comes to OEPE support. WebLogic Server and other runtime technologies are supported through their regular support methods.

    - Konstantin
  • 4. Re: OEPE For Business
    srikanth vallabhaneni Newbie
    Currently Being Moderated
    The OSB and WLP installations come with OEPE also. How are they supported?
  • 5. Re: OEPE For Business
    kosta Journeyer
    Currently Being Moderated
    Regardless of the bundle, OEPE is supported as I stated, while server technologies technologies such as WLS, JRF, OSB, WLP, Coherence, etc. are supported via the smartupdate/opatch system.

    - Konstantin
  • 6. Re: OEPE For Business
    srikanth vallabhaneni Newbie
    Currently Being Moderated
    Does not WLP or OSB related eclipse plugins (these products come with their own set of eclipse plugins) have any dependency on a specific version of eclipse or OEPE? How can OEPE/eclipse be upgraded independently of the WLP or OSB plugins?

    Also, can you comment on the patch_oepe folder? What is that for?
  • 7. Re: OEPE For Business
    kosta Journeyer
    Currently Being Moderated
    Does not WLP or OSB related eclipse plugins (these products come with their own set of eclipse plugins) have any dependency on a specific version of eclipse or OEPE? How can OEPE/eclipse be upgraded independently of the WLP or OSB plugins?
    OSB and WLP tooling is tightly coupled to a specific version of OEPE, but typically an OEPE service release would still work with these installations. Work through the support channels for those products.
    Also, can you comment on the patch_oepe folder? What is that for?
    Not sure what that's for, but it's not for patching OEPE. You cannot do that with an update to CLASSPATH.

    - Konstantin

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points